'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactGoogleMaps = require('react-google-maps');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function DriverMarker(_ref) {
  var position = _ref.position;
  var color = _ref.color;
  var size = _ref.size;
  var mapHolderRef = _ref.mapHolderRef;

  var colorFill = { fill: color };

  var rootProps = {
    mapPaneName: _reactGoogleMaps.OverlayView.MARKER_LAYER,
    position: position,
    mapHolderRef: mapHolderRef,
    getPixelPositionOffset: function getPixelPositionOffset() {
      return { x: -size / 2, y: -size };
    }
  };

  var svgStyle = {
    width: size,
    height: size
  };

  //@formatter:off
  return _react2.default.createElement(
    _reactGoogleMaps.OverlayView,
    rootProps,
    _react2.default.createElement(
      'svg',
      { viewBox: '0 0 212.38 256', style: svgStyle },
      _react2.default.createElement(
        'defs',
        null,
        _react2.default.createElement(
          'linearGradient',
          { id: 'linear-gradient', x1: '128', y1: '256', x2: '128', y2: '186.48', gradientUnits: 'userSpaceOnUse' },
          _react2.default.createElement('stop', { offset: '0', stopOpacity: '0' }),
          _react2.default.createElement('stop', { offset: '0.84', stopOpacity: '0.48' }),
          _react2.default.createElement('stop', { offset: '0.85', stopOpacity: '0.5' })
        )
      ),
      _react2.default.createElement('path', { style: colorFill, d: 'M234.19,106.19a105.93,105.93,0,0,1-25.87,69.49L128,256,47.68,175.68a106.2,106.2,0,1,1,186.51-69.49Z', transform: 'translate(-21.81)' }),
      _react2.default.createElement('path', { style: colorFill, d: 'M47.68,175.68l10.8,10.8A115.32,115.32,0,0,1,47.68,175.68Z', transform: 'translate(-21.81)' }),
      _react2.default.createElement('path', { style: colorFill, d: 'M208.32,175.68a115.32,115.32,0,0,1-10.8,10.8Z', transform: 'translate(-21.81)' }),
      _react2.default.createElement('path', { style: { fill: 'url(#linear-gradient)' }, d: 'M197.52,186.48,128,256,58.48,186.48a106.26,106.26,0,0,0,139,0Z', transform: 'translate(-21.81)' }),
      _react2.default.createElement(
        'g',
        null,
        _react2.default.createElement('polygon', { style: { fill: '#ffffff' }, points: '33.44 89.16 61.61 126.93 115.75 116.77 33.44 89.16' }),
        _react2.default.createElement('polygon', { style: { fill: '#ffffff' }, points: '178.94 110.64 155.25 114.86 155.25 114.86 64.86 131 158.19 131 178.94 110.64' }),
        _react2.default.createElement('polygon', { style: { fill: '#ffffff' }, points: '154.21 109.55 106.22 68.59 72.84 97.18 125.5 114.94 154.14 109.56 154.21 109.55' })
      )
    )
  );
  //@formatter:on
}

DriverMarker.propTypes = {
  position: _react.PropTypes.shape({
    lat: _react.PropTypes.number,
    lng: _react.PropTypes.number
  }),
  color: _react.PropTypes.string,
  size: _react.PropTypes.number
};

DriverMarker.defaultProps = {
  color: '#666',
  size: 24
};

exports.default = DriverMarker;