'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactGoogleMaps = require('react-google-maps');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function RestaurantMarker(_ref) {
  var position = _ref.position;
  var size = _ref.size;
  var mapHolderRef = _ref.mapHolderRef;

  var rootProps = {
    mapPaneName: _reactGoogleMaps.OverlayView.MARKER_LAYER,
    position: position,
    mapHolderRef: mapHolderRef,
    getPixelPositionOffset: function getPixelPositionOffset() {
      return { x: -size / 2, y: -size };
    }
  };

  var svgStyle = {
    width: size,
    height: size
  };

  //@formatter:off
  return _react2.default.createElement(
    _reactGoogleMaps.OverlayView,
    rootProps,
    _react2.default.createElement(
      'svg',
      { height: '40', width: '40', style: svgStyle },
      _react2.default.createElement('circle', { cx: '20', cy: '20', r: '12', stroke: 'rgba(27,60,123,.4)', 'stroke-width': '8', fill: 'transparent' }),
      _react2.default.createElement('circle', { cx: '20', cy: '20', r: '3.6', fill: 'rgba(27,60,123,.9)' })
    )
  );
  //@formatter:on
}

RestaurantMarker.propTypes = {
  position: _react.PropTypes.shape({
    lat: _react.PropTypes.number,
    lng: _react.PropTypes.number
  }),
  size: _react.PropTypes.number
};

RestaurantMarker.defaultProps = {
  size: 40
};

exports.default = RestaurantMarker;